<?php

use yii\db\Migration;

/**
 * Class m240925_164317_Creacion_de_Tabla_Modulo
 */
class m240925_164317_Creacion_de_Tabla_Modulo extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('Modulo', [
            "id" => $this->string(36),
            "clave" => $this->string(100),
            "nombre" => $this->string(100),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
        ]);

        $this->addPrimaryKey('ModuloPK', 'Modulo', 'id');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable("Modulo");

    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240925_164317_Creacion_de_Tabla_Modulo cannot be reverted.\n";

        return false;
    }
    */
}
