<?php

namespace v1\models;

use app\models\ModuloPermiso as ModeloModuloPermiso;

class ModuloPermiso extends ModeloModuloPermiso
{

    public function fields()
    {
        return [
            'id',
            'nombre',
            'idModulo',
            'clave',
            'descripcion',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'modulo',
        ];
    }
    public function getModulo()
    {
        return $this->hasOne(Modulo::class, ['id' => 'idModulo']);
    }
}
