<?php

namespace v1\models;

use app\models\ObraHerramienta as ModeloObraHerramienta;

class ObraHerramienta extends ModeloObraHerramienta {

  public function fields() {
    return [
      'id',
      'idObra',
      'idHerramienta',
      'cantidad',
      'creado',
      'modificado',
    ];
  }

  public function extraFields() {
    return [
        'herramienta',
        'obra',
    ];
}

  public function getHerramienta()
  {
      return $this->hasOne(Herramienta::class, ['id' => 'idHerramienta']);
  }

  public function getObra()
  {
      return $this->hasOne(Obra::class, ['id' => 'idObra']);
  }
}