<?php

namespace v1\models;

use app\models\Pago as ModeloPago;

class Pago extends ModeloPago
{

    public function fields()
    {
        return [
            'id',
            'idObra',
            'idConceptoObra',
            'cantidad',
            'descripcion',
            'fechaPago',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'obra',
            'conceptosObra',
        ];
    }

    public function getObra()
    {
        return $this->hasOne(Obra::class, ['id' => 'idObra']);
    }

    public function getConceptosObra()
    {
        return $this->hasOne(ConceptosObra::class, ['id' => 'idConceptoObra']);
    }

}
