<?php

namespace app\modules\pdf\controllers; 

use pdf\web\Controller;
use v1\models\HerramientaInventario;


class HerramientaInventarioController extends Controller {
  public function actionIndex() {
    $tipoReporte = $this->req->get('solicitud', '');

  }

  public function actionInventario() {
    $id = $this->req->get('i', '');

    $modelo = HerramientaInventario::findOne(['id'=>$id]);

    $contenido = $this->renderPartial('/herramienta-inventario/index', [
      'modelo' => $modelo
    ]);

    $folio = rand(0, 45);

    $this->nombreArchivo = "Herramienta Inventario $folio";

    $this->exportarPdf($contenido);
  }
}