<?php

namespace v1\models;

use app\models\IncidenteEmpleado as ModeloIncidenteEmpleado;

class IncidenteEmpleado extends ModeloIncidenteEmpleado {

  public function fields() {
    return [
      'id',
      'idIncidente',
      'idEmpleado',
      'creado',
      'modificado',
    ];
  }

  public function extraFields() {
    return [
        'empleado',
        'incidente',
    ];
}

  public function getEmpleado()
  {
      return $this->hasOne(Empleado::class, ['id' => 'idEmpleado']);
  }

  public function getIncidente()
  {
      return $this->hasOne(Incidente::class, ['id' => 'idIncidente']);
  }
}